/*
 * Tweaks and overrides to hyde.css
 */

.sidebar-about h1 {
  color: #fff;
  margin-top: 0;
  font-family: "Abril Fatface", serif;
  font-size: 2.5rem;
}

.sidebar-nav {
  padding-left: 0;
  list-style: none;
  margin-bottom: 1rem;
}
/* pre {
    counter-reset: line-numbering;
    border: solid 1px #d9d9d9;
    border-radius: 0;
    background: #fff;
    padding: 0;
    line-height: 23px;
    margin-bottom: 30px;
    white-space: pre;
    overflow-x: auto;
    word-break: inherit;
    word-wrap: inherit;
}

pre a::before {
  content: counter(line-numbering);
  counter-increment: line-numbering;
  padding-right: 1em;
  width: 25px;
  text-align: right;
  opacity: 0.7;
  display: inline-block;
  color: #aaa;
  background: #eee;
  margin-right: 16px;
  padding: 2px 10px;
  font-size: 13px;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

pre a:first-of-type::before {
  padding-top: 10px;
}

pre a:last-of-type::before {
  padding-bottom: 10px;
}

pre a:only-of-type::before {
  padding: 10px;
}*/
pre code{
  font-size: 85% !important;
}

/* Kernel and user */
.pseudocode{
  display: block;
  background-color:#dcffdb;
}
.pseudocode ol{
    border-left: 2px solid #ccc;
    padding-left: -10px;
    list-style-type: decimal;
}
.pseudocode ol li{
    margin-bottom: 10px;
}

.kernel-space{
    display: block;
    background-color: #ffe3e3;
    margin-left:25px;
    padding-bottom: 25px;
    font-weight: bold;
}
.kernel-space+ol{
    background-color: #ffe3e3;
}
